Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache
Class Version

    java.lang.Object
      org.jboss.cache.Version

    public class Version

extends java.lang.Object

Contains version information about this release of TreeCache.

Version:
  $Id: Version.java,v 1.18.2.2 2006/07/06 14:45:46 msurtani Exp $
Author:
  Bela Ban

Field Summary
`static java.lang.String` | `cvs`
`static java.lang.String` | `version`
`static byte[]` | `version_id`

Constructor Summary
`Version()`

Method Summary
`static boolean` | `compareTo(byte[] v)`
`static java.lang.String` | `decodeVersion(short version)`
`static short` | `encodeVersion(int major, int minor, int patch)`
`static int` | `getLength()`
`static short` | `getVersionShort()`
`static short` | `getVersionShort(java.lang.String versionString)`
`static java.lang.String` | `getVersionString(short versionShort)`
`static boolean` | `isBefore124(short version)`
`static void` | `main(java.lang.String[] args)` Prints version information.
`static java.lang.String` | `printVersion()` Returns version information as a string.
`static java.lang.String` | `printVersionId(byte[] v)`
`static java.lang.String` | `printVersionId(byte[] v, int len)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

### version_id

    public static byte[] version_id

### cvs

    public static final java.lang.String cvs

See Also:
  Constant Field Values

Constructor Detail

### Version

    public Version()

Method Detail

### main

    public static void main(java.lang.String[] args)

  Prints version information.

### printVersion

    public static java.lang.String printVersion()

  Returns version information as a string.

### printVersionId

    public static java.lang.String printVersionId(byte[] v,
                                                  int len)

### printVersionId

    public static java.lang.String printVersionId(byte[] v)

### compareTo

    public static boolean compareTo(byte[] v)

### getLength

    public static int getLength()

### getVersionShort

    public static short getVersionShort()

### getVersionShort

    public static short getVersionShort(java.lang.String versionString)

### getVersionString

    public static java.lang.String getVersionString(short versionShort)

### encodeVersion

    public static short encodeVersion(int major,
                                      int minor,
                                      int patch)

### decodeVersion

    public static java.lang.String decodeVersion(short version)

### isBefore124

    public static boolean isBefore124(short version)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.